Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaClassImpl.Index

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.SingleKeyHashMap
              groovy.lang.MetaClassImpl.Index

Enclosing class:
  MetaClassImpl

    public static class MetaClassImpl.Index
    extends SingleKeyHashMap

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.util.SingleKeyHashMap
`SingleKeyHashMap.Copier, SingleKeyHashMap.Entry`

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`ComplexKeyHashMap.EntryIterator`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

Constructor Summary
Constructor and Description
`MetaClassImpl.Index()`
`MetaClassImpl.Index(boolean size)`
`MetaClassImpl.Index(int size)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`boolean` | `checkEquals(ComplexKeyHashMap.Entry e, Object key)`
`SingleKeyHashMap` | `getNotNull(CachedClass key)`
`SingleKeyHashMap` | `getNullable(CachedClass clazz)`
`void` | `put(CachedClass key, SingleKeyHashMap value)`

Methods inherited from class org.codehaus.groovy.util.SingleKeyHashMap
`containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove`

Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaClassImpl.Index

    public MetaClassImpl.Index(int size)

### MetaClassImpl.Index

    public MetaClassImpl.Index()

### MetaClassImpl.Index

    public MetaClassImpl.Index(boolean size)

Method Detail

### getNotNull

    public SingleKeyHashMap getNotNull(CachedClass key)

### put

    public void put(CachedClass key,
                    SingleKeyHashMap value)

### getNullable

    public SingleKeyHashMap getNullable(CachedClass clazz)

### checkEquals

    public boolean checkEquals(ComplexKeyHashMap.Entry e,
                               Object key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD